> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lucitra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Revalidation Trigger

> Create a revalidation trigger for a project.



## OpenAPI

````yaml /openapi.json post /v1/observe/triggers
openapi: 3.1.0
info:
  title: Lucitra Validate API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/observe/triggers:
    post:
      tags:
        - observability
      summary: Create Revalidation Trigger
      description: Create a revalidation trigger for a project.
      operationId: create_revalidation_trigger_v1_observe_triggers_post
      parameters:
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RevalidationTriggerCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RevalidationTriggerResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RevalidationTriggerCreate:
      properties:
        project_id:
          type: string
          format: uuid
          title: Project Id
        name:
          type: string
          title: Name
        trigger_on:
          type: string
          title: Trigger On
        validation_type:
          type: string
          title: Validation Type
          default: full
        threshold:
          anyOf:
            - type: integer
            - type: 'null'
          title: Threshold
        config:
          anyOf:
            - type: object
            - type: 'null'
          title: Config
      type: object
      required:
        - project_id
        - name
        - trigger_on
      title: RevalidationTriggerCreate
    RevalidationTriggerResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        project_id:
          type: string
          format: uuid
          title: Project Id
        name:
          type: string
          title: Name
        trigger_on:
          type: string
          title: Trigger On
        validation_type:
          type: string
          title: Validation Type
        threshold:
          anyOf:
            - type: integer
            - type: 'null'
          title: Threshold
        active:
          type: boolean
          title: Active
        config:
          anyOf:
            - type: object
            - type: 'null'
          title: Config
        last_triggered_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Triggered At
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - project_id
        - name
        - trigger_on
        - validation_type
        - active
        - created_at
      title: RevalidationTriggerResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````